Subject: [Dime] Doubt regarding behavior of redirect agents.

From: Rohan Hathiwala <[email-masked]>
Date: Wed, 27 Sep 2006 18:51:14 +0530

Hi,
When a redirect agent receives a diameter request message should it create a
new diameter message where
a) The Request flag is cleared.
b) The Error flag and set.
c) Result-Code AVP is set to AAA_REDIRECT_INDICATION.
d) Redirect-Host AVP is added.

or should the redirect agent take the original request message and do the
following.

a) Clear the Request flag.
b) Set the Error flag.
c) Result-Code AVP is set to AAA_REDIRECT_INDICATION.
d) Redirect-Host AVP is added.
e) Existing AVP's in the request message are preserved in answer.

Section 6.1.7 of Diameter RFC 3588 does notclarify which of the above
implementation would be correct.
We would greatly appreciate if someone could throw some light on this. Does
anyone have an idea of what the current
diameter implementations support.

Regards,
Rohan Hathiwala.

DISCLAIMER
==========
This e-mail may contain privileged and confidential information which is the property of Persistent Systems Pvt. Ltd. It is intended only for the use of the individual or entity to which it is addressed. If you are not the intended recipient, you are not authorized to read, retain, copy, print, distribute or use this message. If you have received this communication in error, please notify the sender and delete all copies of this message. Persistent Systems Pvt. Ltd. does not accept any liability for virus infected mails.

_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime

---

From: "Tolga Asveren" <[email-masked]>
Date: Wed, 27 Sep 2006 09:29:27 -0400

Rohan,

I think both of them are compliant with the specification. 6.1.7 mandates that E-bit needs to be set for redirect answers. This means the grammar in 7.2 needs to be followed and if one chooses to do so, I think *[AVP] would justify adding AVPs present in the request.

>From client point of view, I wouldn't rely on redirect answer containing all request AVPs though.

    Thanks,
    Tolga

> -----Original Message-----
> From: Rohan Hathiwala [mailto:[email-masked]]
> Sent: Wednesday, September 27, 2006 9:21 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [Dime] Doubt regarding behavior of redirect agents.
> 
> 
> Hi,
> This e-mail may contain privileged and confidential information 
> which is the property of Persistent Systems Pvt. Ltd. It is 
> intended only for the use of the individual or entity to which it 
> is addressed. If you are not the intended recipient, you are not 
> authorized to read, retain, copy, print, distribute or use this 
> message. If you have received this communication in error, please 
> notify the sender and delete all copies of this message. 
> Persistent Systems Pvt. Ltd. does not accept any liability for 
> virus infected mails.
>